TAAS - Feature #297

Performa Sale
02/05/2024 08:52 PM - Junaid M

Status: Reopen Bugs Coding Done Start date: 02/05/2024
Priority: Normal Due date:

Assignee: Vivekp V % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Performa Sale

Description

History

#1 - 02/23/2024 09:51 AM - Junaid M

GUI CHANGES

=> Performa Sale

--> 'Invoice No' --> 'Document No'

--> Add 'Posting Status: No Posting' after 'Document Status™'
--> Created By: and Modified By: move to left

--> 'Reference’ Move to Right - after 'File No*'

--> List

- Remove 'UCCF' Column

#2 - 03/07/2024 04:13 PM - Anil KV
- Status changed from New to Open

- % Done changed from 0 to 10

#3 - 07/31/2024 03:48 PM - Anil KV

Work Flow:-

—> Document No Gen - add new category

—>Table - sale.tbl_performa_sale_master, sale.tbl_performa_sale_details

—-> Need Log

—> Add vhr_performa_invoice_doc_no VARCHAR (30) DEFAULT '', after vhr_invoice_doc_no in service.tbl_supp_doc_no

— All Issues Cannot allow to Delete after Performa Sale set vhr_performa_invoice_doc_no = ""
— Delete or Remaove a Item from Performa Sale then

—>Print out Same as sale

-> No Posting

#4 - 07/31/2024 03:53 PM - Anil KV
- Status changed from Open to Ready for Coding
- Assignee changed from travvise Admin to Nithin PM

- % Done changed from 10 to 20

#5 - 08/02/2024 10:43 AM - Anonymous
- Assignee changed from Nithin PM to Vivekp V

#6 - 08/10/2024 10:37 AM - Vivekp V
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30

#7 - 08/14/2024 02:54 PM - Vivekp V
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

performa sale coding done

to sale button function needs to be incorporated to sale then working will be fully done

#8 - 08/14/2024 02:56 PM - Vivekp V
- Status changed from Coding Done to Coding Started
- % Done changed from 60 to 30

#9 - 08/21/2024 07:27 PM - Vivekp V
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

performa sale coding done

to sale button function needs to be incorporated to sale then working will be fully done

#10 - 08/22/2024 01:02 PM - unnikannan S
- Status changed from Coding Done to Testing Started

#11 - 08/22/2024 03:17 PM - unnikannan S
- Status changed from Testing Started to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to unnikannan S

ISSUE FOUNDED

1.Cant Load Document In Case Of Deleting One ltem From List And Update
2.Showing Hotel Status As Booking

3.Fix Bugs While Choosing Excel,Pdf File

4.Correct The Icon Of Update Button On Vouchers

5.Console Error While Choosing Print

#12 - 08/22/2024 04:15 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FOUNDED FIXED

1.Cant Load Document In Case Of Deleting One ltem From List And Update
2.Showing Hotel Status As Booking

3.Fix Bugs While Choosing Excel,Pdf File : cant reproduce as its ok an everyone else's
4.Correct The Icon Of Update Button On Vouchers

5.Console Error While Choosing Print

#13 - 11/13/2024 04:03 PM - Theja Ponon

- File clipboard-202411131602-xs2z4.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1)HEADER AND ROW FILTER ARE WORKING ONLY FOR STATUS FIELD

2)CHANGE THE UPDATE ICON ON TICKET/VOUCHER POPUP
Performa Sale
#14 - 11/14/2024 11:41 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#15 - 11/19/2024 01:07 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#16 - 11/21/2024 07:13 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to New Changes

- % Done changed from 90 to 50

NEW CHANGES DONE

Performa Sale =============

-->All Invoice Format Need

-->Need Ticket/Voucher Search with Checkbox

- Button - Add Actual(Update Original tables, Not Invoiced only, Title: The Editing Affected Actual Ticket), Add Dummy(Keep a Jason Field, No
Validation, Title: The Editing Not Affected Actual Ticket)

-->Copy And Restore Need all Issue popup

--Button - Add Actual(Update Original tables, Not Invoiced only, Title: The Editing Affected Actual Ticket), Add Dummy(Keep a Jason Field, No
Validation, Title: The Editing Not Affected Actual Ticket)

#17 - 02/13/2025 02:27 PM - Arathy PS
- File clipboard-202502131427-ggbw4.png added

- Status changed from New Changes to Reopen Bugs

#18 - 02/13/2025 02:28 PM - Vivekp V

- Status changed from Reopen Bugs to New Changes

#19 - 02/13/2025 02:34 PM - Arathy PS
- File deleted (clipboard-202502131427-ggbw4.png)

#20 - 02/13/2025 02:45 PM - Arathy PS
- File clipboard-202502131444-tihqt.png added

- Status changed from New Changes to Reopen Bugs

ISSUE FIXED

1. When remove a cost centre from already saved document and try to update.
Travvise

Performa Sale

Error converting value "null” to type

Doc No
Customer/FOP"
Sub Customer ~
Document Status™
Posting Status™

Created By:
Modified By:

Commission Agent
Responsible User -

Internal Note

# Type
1 Ticket
2 Other

#21 - 03/05/2025 06:29 PM - Vivekp V

‘SystemNullable 1[System Int64]’ Path

tCentreld, line 1, position 123,

PRF/002 Date* | 13/02/2025
cusoo1 PAYMENT TERM CUSTOMER CHECK
Active
No Posting
Administrator(13/02/2025 02:43 PM)
Administrator(13/02/2025 02:43 PM)[4]
Issue Date Ticket/Voucher
13/02/2025 1011
13/02/2025 057003

Service Provider

51905: 40 Mile Air

SUPOO1: BSP.

[ Hotel

PYPS

vuw

® Other

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#22 - 03/11/2025 02:20 PM - Theja Ponon
- File clipboard-202503111416-vwxr1.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed

Issue Found

from 70 to 50
#23 - 03/12/2025 09:27 AM - Vivekp V

Date” | 11/03/2025

A Ticket [ Hotel
51905 40 Mile Air

51905 40 Mile Air

QAR

¥ Other

& Transfer

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#24 - 04/02/2025 10:35 AM - Theja Ponon

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

Issue FIXED

1)Issue on adding with non reported popup (search)
#25 - 04/03/2025 06:16 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

Files

clipboard-202411131602-xs2z4.png 67.1 KB 11/13/2024 Theja Ponon

clipboard-202502131444-tihgt.png 170 KB 02/13/2025 Arathy PS

clipboard-202503111416-vwxr1.png 140 KB 03/11/2025 Theja Ponon
